%define pkgname ncurses
Summary:	Ruby interface to Ncurses
Summary(pl.UTF-8):	Interfejs Ncurses dla Ruby
Name:		ruby-%{pkgname}
Version:	1.3.1
Release:	8
License:	Ruby-alike
Group:		Development/Languages
Source0:	https://sourceforge.net/projects/ncurses-ruby.berlios/files/%{pkgname}-ruby-%{version}.tar.bz2
# Source0-md5:	63fd3d09a51cdd745e1ed37f85621ea2
Patch0:		%{name}-utf8.patch
Patch1:		format-security.patch
Patch2:		ruby-ncurses-fix-missing-tz-prototypes.patch
URL:		https://sourceforge.net/projects/ncurses-ruby.berlios/
BuildRequires:	ncurses-devel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
BuildRequires:	ruby-devel
Provides:	ruby-Ncurses
Obsoletes:	ruby-Ncurses
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This ruby extension makes most functions, constants, and external
variables of the C library ncurses accessible from the Ruby
programming language.

All C functions are wrapped by module functions of a the module
"Ncurses", with exactly the same name. Additionally, C functions
expecting a WINDOW* as their first argument can also be called as
methods of the "Ncurses::WINDOW" class.

%description -l pl.UTF-8
Rozszerzenie do ruby, które umożliwia dostęp do większość funkcji,
stałych i zewnętrznych zmiennych biblioteki ncurses z poziomu języka
Ruby.

Wszystkie funkcje C są dostępne poprzez funkcje modułu "Ncurses" pod
dokładnie tymi samymi nazwami. Dodatkowo funkcje, które spodziewają
się mieć WINDOW* jako ich pierwszy argument mogą być także wywoływane
jako metody klasy "Ncurses::WINDOW".

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-ruby-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
ruby extconf.rb \
	--vendor

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncursesw -fPIC"

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{ruby_vendorlibdir}/ncurses.rb
%{ruby_vendorlibdir}/ncurses_sugar.rb
%attr(755,root,root) %{ruby_vendorarchdir}/ncurses_bin.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Ncurses
%changelog
* Sat Mar 21 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-ncurses.git;a=log;h=master

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 9697dc8
- release 8 (by relup.sh)

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 659a349
- rebuild with ruby 2.4
- release 7 (by relup.sh)

* Sat Oct 28 2017 Elan Ruusamäe <glen@delfi.ee> 6da9b0d
- rebuild with fixed ruby ridir path
- release 6 (by relup.sh)

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> aa21abe
- rebuild with ruby 2.3
- release 5 (by relup.sh)

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 2f3aeed
- release 4 (by relup.sh)

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 07ec780
- add ruby-ncurses-fix-missing-tz-prototypes.patch

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 46a709d
- berlios is dead, use migrated sf project urls

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 20505e9
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> cb1c5ca
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> 015837a
- BR ruby-devel

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> 5c7c04b
- fix format security errors

* Sat Sep 14 2013 Elan Ruusamäe <glen@delfi.ee> 15c1c23
- up to 1.3.1, package to vendor dir

* Mon Mar 01 2010 Jan Rękorajski <baggins@pld-linux.org> a1aea01
- added rdoc and ri packages

* Mon Mar 01 2010 sparky <sparky@pld-linux.org> f40e049
- BR: ncurses-devel

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> d3ce6bf
- P:ruby-Ncurses

* Sat Feb 27 2010 Jan Rękorajski <baggins@pld-linux.org> 9af4dce
- renamed ruby-Ncurses -> ruby-ncurses

* Tue Dec 01 2009 Artur Frysiak <artur@frysiak.net> be0010d
- unparallelize make install

* Mon Nov 30 2009 Artur Frysiak <artur@frysiak.net> f2a0ac3
- updated to 1.2.4

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e61db6c
- release 7

* Thu Jan 15 2009 Zsolt Udvari <uzsolt@pld-linux.org> b9afdc5
- utf8 patch
- rel 6
- please STBR

